=== debian/changelog ===
libbiosoup-dev (0.10.0-4) unstable; urgency=medium

  * Team upload.
  * Update versioned Breaks+Replaces since accidentally the headers
    remained inside libbioparser-dev 3.0.15-1
    Closes: #1000857

 -- Andreas Tille <tille@debian.org>  Wed, 01 Dec 2021 08:15:56 +0100

libbiosoup-dev (0.10.0-3) unstable; urgency=medium

  * Team upload.
  * Breaks+Replaces: libbioparser-dev (<= 3.0.12-1)
    Closes: #1000857

 -- Andreas Tille <tille@debian.org>  Tue, 30 Nov 2021 11:52:04 +0100

libbiosoup-dev (0.10.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Sat, 27 Nov 2021 19:28:04 +0100

libbiosoup-dev (0.10.0-1) unstable; urgency=low

  * Team upload.
  * Initial release. (Closes: #984815)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Oct 2021 08:42:27 +0200
