=== debian/control ===
Source: libbiosoup-dev
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libgtest-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/libbiosoup-dev
Vcs-Git: https://salsa.debian.org/med-team/libbiosoup-dev.git
Homepage: https://github.com/rvaser/biosoup/
Rules-Requires-Root: no

Package: libbiosoup-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Breaks: libbioparser-dev (<= 3.0.15-1)
Replaces: libbioparser-dev (<= 3.0.15-1)
Description: C++ header-only support library for bioinformatics tools
 Biosoup is a c++ collection of header only data structures used for storage
 and logging in bioinformatics tools.
