=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

DEB_CMAKE_EXTRA_FLAGS = -Dbiosoup_build_tests=ON -Dbiosoup_install=ON \
			-DCMAKE_INSTALL_LIBDIR=lib

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	obj-*/bin/biosoup_test
endif
