=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/rvaser/biosoup/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
