## libbiosoup-dev 0.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.11)
 
-project(biosoup VERSION 0.10.0
+project(biosoup VERSION 0.11.0
                 LANGUAGES CXX
                 DESCRIPTION "Biosoup is a c++ collection of header only data structures used for storage and logging in bioinformatics tools.")
