=== debian/changelog ===
libbiosoup-dev (0.11.0-3) unstable; urgency=medium

  * Team Upload.
  * d/patches: remove arch dep stuff in .cmake files
    (Closes: #1103129)
  * Bump Standards-Version to 4.7.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 May 2025 20:47:21 +0530

libbiosoup-dev (0.11.0-2) unstable; urgency=medium

  * d/rules: Don't install the Meson build file into /usr/include.
    Closes: #1067500

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 22 Mar 2024 17:06:39 +0100

libbiosoup-dev (0.11.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 21 Mar 2024 14:22:38 +0100
