=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libgtest-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/libbiosoup-dev
 Vcs-Git: https://salsa.debian.org/med-team/libbiosoup-dev.git
 Homepage: https://github.com/rvaser/biosoup/
@@ -18,6 +18,7 @@
 Depends: ${misc:Depends}
 Breaks: libbioparser-dev (<= 3.0.15-1)
 Replaces: libbioparser-dev (<= 3.0.15-1)
+Multi-Arch: foreign
 Description: C++ header-only support library for bioinformatics tools
  Biosoup is a c++ collection of header only data structures used for storage
  and logging in bioinformatics tools.
