=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,6 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	obj-*/bin/biosoup_test
 endif
+
+execute_after_dh_install:
+	find debian -name meson.build -delete
